/*!\file openCV.c
 *
 * \brief intro OpenCV
 * 
 * \author Farès BELHADJ, amsi@ai.univ-paris8.fr
 *
 * \date January 30 2015
 */
#include <math.h>
#include <stdio.h>
#include <stdlib.h>

#include <opencv2/highgui/highgui_c.h>
#include <opencv2/imgproc/imgproc_c.h>

int main(int argc, char ** argv) {
  IplImage* img = cvLoadImage("images/ex01.png", CV_LOAD_IMAGE_COLOR);
  if(!img) {
    fprintf(stderr, "Problème lors du chargement de l'image\n");
    return -1;
  }
  cvNamedWindow("Intro OpenCV", CV_WINDOW_AUTOSIZE);
  cvShowImage("Intro OpenCV", img);
  cvWaitKey(0);
  cvReleaseImage(&img);
  return 0;
}
